VkWriteDescriptorSet Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkWriteDescriptorSet:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkDescriptorSet | dstSet
uint32_t | dstBinding
uint32_t | dstArrayElement
uint32_t | descriptorCount
VkDescriptorType | descriptorType
const VkDescriptorImageInfo * | pImageInfo
const VkDescriptorBufferInfo * | pBufferInfo
const VkBufferView * | pTexelBufferView

## Detailed Description

Definition at line 2216 of file vulkan.h.

## Field Documentation

## descriptorCount

uint32_t VkWriteDescriptorSet::descriptorCount

Definition at line 2222 of file vulkan.h.

## descriptorType

VkDescriptorType VkWriteDescriptorSet::descriptorType

Definition at line 2223 of file vulkan.h.

## dstArrayElement

uint32_t VkWriteDescriptorSet::dstArrayElement

Definition at line 2221 of file vulkan.h.

## dstBinding

uint32_t VkWriteDescriptorSet::dstBinding

Definition at line 2220 of file vulkan.h.

## dstSet

VkDescriptorSet VkWriteDescriptorSet::dstSet

Definition at line 2219 of file vulkan.h.

## pBufferInfo

const VkDescriptorBufferInfo* VkWriteDescriptorSet::pBufferInfo

Definition at line 2225 of file vulkan.h.

## pImageInfo

const VkDescriptorImageInfo* VkWriteDescriptorSet::pImageInfo

Definition at line 2224 of file vulkan.h.

## pNext

const void* VkWriteDescriptorSet::pNext

Definition at line 2218 of file vulkan.h.

## pTexelBufferView

const VkBufferView* VkWriteDescriptorSet::pTexelBufferView

Definition at line 2226 of file vulkan.h.

## sType

VkStructureType VkWriteDescriptorSet::sType

Definition at line 2217 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h